> ## Documentation Index
> Fetch the complete documentation index at: https://cometchat-22654f5b-docs-restapi-chat-api-eng-37141.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> List CometChat flagged messages with REST API to review messages reported or marked for moderation.

# List flagged messages



## OpenAPI

````yaml get /moderation/flagged-messages
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
  - name: Moderation
    description: The REST collections for Moderations.
paths:
  /moderation/flagged-messages:
    get:
      tags:
        - Moderation
      summary: List flagged messages
      description: >-
        Retrieves a list of messages that have been flagged for moderation
        review, including their current status, associated reasons, and review
        details.
      operationId: chat-api-list-flagged-messages
      parameters:
        - name: limit
          in: query
          description: The number of items to return per page.
          required: false
          schema:
            type: integer
            default: 50
          example: 50
      responses:
        '200':
          description: Delete Reasons
          content:
            application/json:
              schema:
                type: object
              example:
                data:
                  - appId: 253626bf6512389d
                    id: '540190'
                    conversationId: cometchat-uid-1_user_cometchat-uid-3
                    sender: cometchat-uid-1
                    receiverType: user
                    receiver: cometchat-uid-3
                    category: message
                    type: text
                    data:
                      entities:
                        receiver:
                          entity:
                            avatar: >-
                              https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-3.webp
                            conversationId: cometchat-uid-1_user_cometchat-uid-3
                            createdAt: 1730815502
                            lastActiveAt: 1754574851
                            name: Nancy
                            role: default
                            status: offline
                            uid: cometchat-uid-3
                            updatedAt: 1760607558
                          entityType: user
                        sender:
                          entity:
                            avatar: >-
                              https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-1.webp
                            createdAt: 1730815502
                            lastActiveAt: 1761295157
                            name: Andrew Joseph
                            role: default
                            status: online
                            uid: cometchat-uid-1
                            updatedAt: 1738833132
                          entityType: user
                      metadata:
                        '@injected':
                          extensions:
                            link-preview:
                              links: []
                      text: heya man
                    sentAt: 1761295196
                    updatedAt: 1761295196
                    flaggedBy:
                      - uid: cometchat-uid-3
                        name: Nancy
                        avatar: >-
                          https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-3.webp
                        role: default
                        reasonId: spam
                        reasonName: Spam / Unwanted Content
                        description: Repeated, promotional, or irrelevant content
                        remark: He is continously spamming me
                        flaggedAt: 1761295210
                    flaggedCount: 1
                meta:
                  current:
                    limit: 50
                    count: 1
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````